### Struct

# Ggit DiffDelta

#### Description [src]

    struct GgitDiffDelta {
      /* No available fields */
    }

Represents the changes done to one file.

#### Instance methods

###### ggit_diff_delta_get_flags

Gets flags for `delta`.

###### ggit_diff_delta_get_new_file

Gets the new file for `delta`.

###### ggit_diff_delta_get_old_file

Gets the old file for `delta`.

###### ggit_diff_delta_get_similarity

Gets the similarity between `delta` files.

###### ggit_diff_delta_get_status

Gets the `GgitDeltaType` for `delta`.

###### ggit_diff_delta_ref

Atomically increments the reference count of `delta` by one. This function is MT-safe and may be called from any thread.

###### ggit_diff_delta_unref

Atomically decrements the reference count of `delta` by one. If the reference count drops to 0, `delta` is freed.